MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027867Community[OCCT] OCCT:Visualizationpublic2016-09-13 11:012016-12-09 16:38
Reportersolomin_s 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027867: Visualization - AIS_InteractiveContext::HasSelectedShape() returns true if selected interactive is instance of AIS_Shape only
DescriptionAIS_InteractiveContext::HasSelectedShape returns false if TopoDS_Shape has been selected, but interactive object is not instance of AIS_Shape. More correctly check SelectedOwner type: return true if owner is instance of StdSelect_BRepOwner.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0057721)
git (administrator)
2016-09-13 11:09

Branch CR27867 has been created by solomin_s.

SHA-1: 64ab463e44e6291403126c480fd7da38f39bf792


Detailed log of new commits:

Author: Sergey Solomin
Date: Tue Sep 13 11:07:03 2016 +0300

    0027867: AIS_InteractiveContext::HasSelectedShape returns true if selected interactive is instance of AIS_Shape only.
(0057726)
kgv (developer)
2016-09-13 11:42

It might be better making implementation consistent to AIS_LocalContext::HasSelectedShape(), which checks also aBrepOwner->HasShape().

  Handle(StdSelect_BRepOwner) aBrepOwner = Handle(StdSelect_BRepOwner)::DownCast (mySelection->Value());
  
return !aBrepOwner.IsNull()
      && aBrepOwner->HasShape()
(0057744)
git (administrator)
2016-09-13 16:02

Branch CR27867_2 has been created by solomin_s.

SHA-1: 6effb465e5fe334d9e2562d37f7ccb78bdc81391


Detailed log of new commits:

Author: Sergey Solomin
Date: Tue Sep 13 11:07:03 2016 +0300

    0027867: Visualization - AIS_InteractiveContext::HasSelectedShape() returns true if selected interactive is instance of AIS_Shape only
(0057750)
kgv (developer)
2016-09-13 16:23

Please test the patch.
(0057784)
apv (tester)
2016-09-14 14:36

Dear BugMaster,

Branch CR27867_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 6effb465e5fe334d9e2562d37f7ccb78bdc81391

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1135

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 89592587 / 90416625 [-0.91%]
Total CPU difference: 19405.259999999947 / 19445.410000000134 [-0.21%]

Testing on Windows:
Total MEMORY difference: 57158137 / 57172575 [-0.03%]
Total CPU difference: 18145.989519698836 / 18100.047225198865 [+0.25%]
(0059519)
git (administrator)
2016-10-28 21:45

Branch CR27867 has been deleted by kgv.

SHA-1: 64ab463e44e6291403126c480fd7da38f39bf792
(0059520)
git (administrator)
2016-10-28 21:45

Branch CR27867_2 has been deleted by kgv.

SHA-1: 6effb465e5fe334d9e2562d37f7ccb78bdc81391

- Related Changesets
occt: master 4aaadad7
Timestamp: 2016-09-13 08:07:03
Author: solomin_s
Committer: bugmaster
Details ] Diff ]
0027867: Visualization - AIS_InteractiveContext::HasSelectedShape() returns true if selected interactive is instance of AIS_Shape only
mod - src/AIS/AIS_InteractiveContext_1.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-09-13 11:01 solomin_s New Issue
2016-09-13 11:01 solomin_s Assigned To => kgv
2016-09-13 11:09 git Note Added: 0057721
2016-09-13 11:10 solomin_s Status new => resolved
2016-09-13 11:10 solomin_s Steps to Reproduce Updated View Revisions
2016-09-13 11:37 kgv Summary AIS_InteractiveContext::HasSelectedShape returns true if selected interactive is instance of AIS_Shape only. => Visualization - AIS_InteractiveContext::HasSelectedShape() returns true if selected interactive is instance of AIS_Shape only
2016-09-13 11:42 kgv Note Added: 0057726
2016-09-13 11:42 kgv Assigned To kgv => solomin_s
2016-09-13 11:42 kgv Status resolved => assigned
2016-09-13 16:02 git Note Added: 0057744
2016-09-13 16:02 solomin_s Assigned To solomin_s => kgv
2016-09-13 16:02 solomin_s Status assigned => resolved
2016-09-13 16:23 kgv Note Added: 0057750
2016-09-13 16:23 kgv Assigned To kgv => bugmaster
2016-09-13 16:23 kgv Status resolved => reviewed
2016-09-13 16:28 kgv Relationship added related to 0026272
2016-09-13 16:54 apv Assigned To bugmaster => apv
2016-09-14 13:14 apv Test case number => Not needed
2016-09-14 14:36 apv Note Added: 0057784
2016-09-14 14:36 apv Assigned To apv => bugmaster
2016-09-14 14:36 apv Status reviewed => tested
2016-09-16 09:43 bugmaster Changeset attached => occt master 4aaadad7
2016-09-16 09:43 bugmaster Status tested => verified
2016-09-16 09:43 bugmaster Resolution open => fixed
2016-10-28 21:45 git Note Added: 0059519
2016-10-28 21:45 git Note Added: 0059520
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker